# http class An implementation of the client side of HTTP protocol.
Inherits
object
Description
This class provides a standard HTTP functionality.
Functions
`<id:integer>$get(<remote_path:string>,<local_file: string>)`
`<id:integer>$post(<remote_path:string>,<post_data:string>,<local_file: string>)`
`$abort()`
`<id:integer>$setHost(<host:string>,<remote_port:unsigned_integer>)`
`<id:integer>$currentId()`
`$setProxy(<host:string>,<port:integer>,[<user:string>,<password:string>])`
`$setUser(<user:string>,<password:string>)`
`$readAll()`
`<error:string> $errorString()`
`$ignoreSslErrors()`
`$requestFinishedEvent(<id:integer>,<error:boolean>)`
`$requestStartedEvent(<id:integer>,<error:boolean>)`
`$responseHeaderReceivedEvent(`
`$doneEvent(<id:integer>,<error:boolean>)`
`$dataReadProgressEvent(<done:integer>,<total:integer>)`
`$dataSendProgressEvent(<done:integer>,<total:integer>)`
`$stateChangedEvent(<connection_state:string>)`
`$responseHeaderReceived(`
`$readyReadEvent()`
`$sslErrorsEvent(`
Signals
`$requestStarted(`
`$requestFinished(`
`$dataSendProgress(`
`$dataReadProgress(`
`$done(`
`$readyRead(`
`$sslErrors(`
`$stateChanged(`
`$responseHeaderReceived(`

Index, Object Classes

KVIrc 4.0.0 Documentation
Generated by linimon at Sun Nov 22 19:00:06 2009